---
schema_version: "1"
id: 3ac5b81e0396811164cc83d58ad6589135c033c1d6dc3d0bbdd947e5e05110ec
title: MRT Admin
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/pwa-kit-managed-runtime/references/generated-api-specs/mrt-admin.md
canonical_url: https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/references/mrt-admin
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2c097a7d52950006e91377a7275a8df12fe1d36f04d7c6322feb5bcdd5e55eab
products:
  - Composable Storefront
  - Salesforce APIs
---
MRT Admin

# MRT Admin

Set up how a storefront or other headless commerce application is deployed to Managed Runtime.  
  
Note: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v1

## Servers

*   `https://cloud.mobify.com`

## Security

*   `Basic` (http) A basic authentication scheme for Managed Runtime API endpoints. To make an API request, concatenate your email address and API key separated by a colon (`:`). Base64 encode the concatenated string and include it in the HTTP request Authorization header.  
      
    Example:  
      
    `Authorization: Basic $B64_ENCODED_VALUE`
    *   HTTP scheme: basic
*   `BearerToken` (http) A bearer token authentication scheme for Managed Runtime API endpoints. To make an API request, include your API key in the HTTP request Authorization header.  
      
    Example:  
      
    `Authorization: Bearer $API_KEY`
    *   HTTP scheme: bearer (Bearer .\*)

## Operations

### GET organizations\_list

`GET /api/organizations/`

Operation ID: `organizations_list`. Tags: organizations. Security: Basic; BearerToken.

List organizations.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIOrganizationList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "uuid": "58c8da00-a596-4e62-9b93-dfc26a73528e",
          "name": "my org",
          "slug": "my-org",
          "has_mobify_tag_project": false,
          "can_configure_ssr_architecture": false,
          "created_at": "2020-07-14T19:33:21.197800Z",
          "updated_at": "2020-07-21T17:02:38.745978Z",
          "permissions": {
            "browse": true,
            "create_project": true,
            "delete_organization": true,
            "edit_organization": true
          }
        }
      ]
    }
    ```
    

### GET organizations\_certificates\_list

`GET /api/organizations/{organization_slug}/certificates/`

Operation ID: `organizations_certificates_list`. Tags: organizations. Security: Basic; BearerToken.

List certificates for an organization with filtering and search

#### Parameters

*   `custom_only` (query, boolean) If true, returns only custom domain certificates created by the customer.
*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `organization_slug` (path, string, required) The organization identifier.
*   `search` (query, string) A search term.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedCertificateListCreateList`.
    
    _Example: ListCertificates_ List certificates
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "count": 2,
          "next": null,
          "previous": null,
          "results": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "domain_name": "*.example.com",
              "validation_status": "PENDING_VALIDATION",
              "validation_record": {
                "name": "_acme-challenge.example.com",
                "value": "validation123.example.com"
              },
              "aws_arns": [
                "arn:aws:acm:us-east-1:123456789012:certificate/12345678-1234-1234-1234-123456789012"
              ],
              "created_at": "2023-10-28T10:00:00Z",
              "updated_at": "2023-10-28T10:00:00Z",
              "validation_requested_at": "2023-10-28T10:00:00Z",
              "validation_requested_by": "user@example.com",
              "expires_at": "2024-10-28T10:00:00Z",
              "targets": [],
              "created_by": "user@example.com"
            }
          ],
          "limits": {
            "max_certificates": {
              "limit": 10,
              "used": 2
            }
          },
          "customer_action_needed": true
        }
      ]
    }
    ```
    

### POST organizations\_certificates\_create

`POST /api/organizations/{organization_slug}/certificates/`

Operation ID: `organizations_certificates_create`. Tags: organizations. Security: Basic; BearerToken.

Create a new certificate for an organization

#### Parameters

*   `organization_slug` (path, string, required) The organization identifier.

#### Request body (required)

Media type: `application/json`. Schema: `CertificateListCreate`.

_Example: CreateCertificateRequest_ Create certificate request

```
{
  "domain_name": "*.example.com"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `CertificateListCreate`.

Media type: `multipart/form-data`. Schema: `CertificateListCreate`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `CertificateListCreate`.
    
    _Example: CreateCertificateResponse_ Create certificate response
    
    ```
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "domain_name": "*.example.com",
      "validation_status": "PENDING_VALIDATION",
      "validation_record": {
        "name": "_acme-challenge.example.com",
        "value": "validation123.example.com"
      },
      "aws_arns": [
        "arn:aws:acm:us-east-1:123456789012:certificate/12345678-1234-1234-1234-123456789012"
      ],
      "created_at": "2023-10-28T10:00:00Z",
      "updated_at": "2023-10-28T10:00:00Z",
      "validation_requested_at": "2023-10-28T10:00:00Z",
      "validation_requested_by": "user@example.com",
      "targets": []
    }
    ```
    

### GET organizations\_certificates\_retrieve

`GET /api/organizations/{organization_slug}/certificates/{cert_id}/`

Operation ID: `organizations_certificates_retrieve`. Tags: organizations. Security: Basic; BearerToken.

Retrieve a specific certificate for an organization

#### Parameters

*   `cert_id` (path, string, required) The certificate's id
*   `organization_slug` (path, string, required) The organization identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `CertificateBase`.
    
    _Example GetCertificateResponse: same as POST /api/organizations/{organization\_slug}/certificates/ 201 response._ Get certificate response
    
    _Example: GetCertificateResponse_ Get certificate response
    

### DELETE organizations\_certificates\_destroy

`DELETE /api/organizations/{organization_slug}/certificates/{cert_id}/`

Operation ID: `organizations_certificates_destroy`. Tags: organizations. Security: Basic; BearerToken.

Delete a specific certificate for an organization

#### Parameters

*   `cert_id` (path, string, required) The certificate's id
*   `organization_slug` (path, string, required) The organization identifier.

#### Responses

*   **204** No response body

### PUT organizations\_certificates\_restart\_validation\_update

`PUT /api/organizations/{organization_slug}/certificates/{cert_id}/restart-validation/`

Operation ID: `organizations_certificates_restart_validation_update`. Tags: organizations. Security: Basic; BearerToken.

Restart validation for a certificate. Creates a new certificate in AWS and updates the existing certificate record. Only works for certificates that are not yet validated.

#### Parameters

*   `cert_id` (path, string, required) Certificate ID
*   `organization_slug` (path, string, required) The organization identifier.

#### Request body (required)

Media type: `application/json`. Schema: `CertificateBase`.

Media type: `application/x-www-form-urlencoded`. Schema: `CertificateBase`.

Media type: `multipart/form-data`. Schema: `CertificateBase`.

#### Responses

*   **200** Certificate validation restarted successfully
    
    Media type: `application/json`. Schema: `CertificateBase`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "id": "uuid",
      "domain_name": "shop.example.com",
      "validation_status": "pending_validation",
      "validation_record": {
        "name": "_abc.shop.example.com",
        "value": "_xyz.acm-validations.aws"
      },
      "validation_requested_at": "2025-10-16T12:00:00Z",
      "deletion_status": "ACTIVE"
    }
    ```
    
*   **400** Certificate is already validated or cannot be restarted

### PATCH organizations\_certificates\_restart\_validation\_partial\_update

`PATCH /api/organizations/{organization_slug}/certificates/{cert_id}/restart-validation/`

Operation ID: `organizations_certificates_restart_validation_partial_update`. Tags: organizations. Security: Basic; BearerToken.

Restart validation for a specific certificate for an organization.

#### Parameters

*   `cert_id` (path, string, required)  
    Pattern: ^\[\\w-\]+$.
*   `organization_slug` (path, string, required)  
    Pattern: ^\[\\w-\]+$.

#### Request body

Media type: `application/json`. Schema: `PatchedCertificateBase`.

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedCertificateBase`.

Media type: `multipart/form-data`. Schema: `PatchedCertificateBase`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `CertificateBase`.
    

### GET list\_organization\_members

`GET /api/organizations/{organization_slug}/members/`

Operation ID: `list_organization_members`. Tags: organizations. Security: Basic; BearerToken.

List all the members of an organization.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `organization_slug` (path, string, required) The organization identifier.
*   `search` (query, string) A search term.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIOrganizationMemberList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        [
          {
            "user": "user1@example.com",
            "role": {
              "name": "Owner",
              "value": 0
            },
            "first_name": "John",
            "last_name": "Doe",
            "can_view_all_projects": true,
            "custom_domain_cert_permission": {
              "name": "Manage",
              "value": 0
            }
          },
          {
            "user": "user2@example.com",
            "role": {
              "name": "Member",
              "value": 1
            },
            "first_name": "Jane",
            "last_name": "Smith",
            "can_view_all_projects": false,
            "custom_domain_cert_permission": {
              "name": "View Only",
              "value": 1
            }
          }
        ]
      ]
    }
    ```
    

### POST organizations\_members\_create

`POST /api/organizations/{organization_slug}/members/`

Operation ID: `organizations_members_create`. Tags: organizations. Security: Basic; BearerToken.

Add a new member to an organization.

#### Parameters

*   `organization_slug` (path, string, required) The organization identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APIOrganizationMemberCreate`.

_Example: RequestExample1_

```
{
  "user": "newuser@example.com",
  "role": 1,
  "can_view_all_projects": false,
  "custom_domain_cert_permission": 2
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIOrganizationMemberCreate`.

Media type: `multipart/form-data`. Schema: `APIOrganizationMemberCreate`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APIOrganizationMemberCreate`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "user": "newuser@example.com",
      "role": {
        "name": "Member",
        "value": 1
      },
      "first_name": "New",
      "last_name": "User",
      "can_view_all_projects": false,
      "custom_domain_cert_permission": {
        "name": "No Access",
        "value": 2
      }
    }
    ```
    

### GET organizations\_members\_retrieve

`GET /api/organizations/{organization_slug}/members/{email}/`

Operation ID: `organizations_members_retrieve`. Tags: organizations. Security: Basic; BearerToken.

Read data about an organization member's permissions.

#### Parameters

*   `email` (path, string, required) The email address of the organization member.
*   `organization_slug` (path, string, required) The organization identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIOrganizationMember`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "user": "user@example.com",
      "role": {
        "name": "Owner",
        "value": 0
      },
      "first_name": "John",
      "last_name": "Doe",
      "can_view_all_projects": true,
      "custom_domain_cert_permission": {
        "name": "Manage",
        "value": 0
      }
    }
    ```
    

### DELETE organizations\_members\_destroy

`DELETE /api/organizations/{organization_slug}/members/{email}/`

Operation ID: `organizations_members_destroy`. Tags: organizations. Security: Basic; BearerToken.

Remove a member from an organization.

#### Parameters

*   `email` (path, string, required) The email address of the organization member.
*   `organization_slug` (path, string, required) The organization identifier.

#### Responses

*   **204** No response body

### PATCH organizations\_members\_partial\_update

`PATCH /api/organizations/{organization_slug}/members/{email}/`

Operation ID: `organizations_members_partial_update`. Tags: organizations. Security: Basic; BearerToken.

Update an organization member's permissions.

#### Parameters

*   `email` (path, string, required) The email address of the organization member.
*   `organization_slug` (path, string, required) The organization identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPIOrganizationMemberUpdate`.

_Example: RequestExample1_

```
{
  "role": {
    "name": "Member",
    "value": 1
  },
  "can_view_all_projects": false,
  "custom_domain_cert_permission": 1
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPIOrganizationMemberUpdate`.

Media type: `multipart/form-data`. Schema: `PatchedAPIOrganizationMemberUpdate`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIOrganizationMemberUpdate`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "user": "user@example.com",
      "role": {
        "name": "Member",
        "value": 1
      },
      "first_name": "John",
      "last_name": "Doe",
      "can_view_all_projects": false,
      "custom_domain_cert_permission": {
        "name": "View Only",
        "value": 1
      }
    }
    ```
    

### GET projects\_list

`GET /api/projects/`

Operation ID: `projects_list`. Tags: projects. Security: Basic; BearerToken.

List projects.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `organization` (query, string) An organization to search within.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIProjectV2CreateList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "name": "Progressive SSR project",
          "url": "https://www.example.com/",
          "slug": "project-slug",
          "organization": "my-organization",
          "permissions": {
            "browse": true,
            "deploy": true,
            "delete_bundle": true,
            "delete_project": true,
            "edit_redirect": true,
            "edit_roles": true,
            "edit_settings": true,
            "validate_tag": true,
            "edit_environment": true,
            "create_environment": true,
            "delete_environment": true,
            "create_notification": true,
            "list_notifications": true,
            "retrieve_notification": true,
            "edit_notification": true,
            "delete_notification": true,
            "create_jwt": true,
            "upload_bundle": true,
            "edit_environment_variable": true,
            "edit_access_control_header": true
          },
          "deletion_status": "ACTIVE",
          "created_at": "2025-07-24T07:30:22.288165Z",
          "updated_at": "2025-07-24T08:30:22.288165Z"
        }
      ]
    }
    ```
    

### POST projects\_create

`POST /api/projects/`

Operation ID: `projects_create`. Tags: projects. Security: Basic; BearerToken.

Create a project.

#### Request body (required)

Media type: `application/json`. Schema: `APIProjectV2Create`.

_Example: RequestExample1_

```
{
  "organization": "my-org",
  "name": "My project",
  "slug": "my-project"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIProjectV2Create`.

Media type: `multipart/form-data`. Schema: `APIProjectV2Create`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APIProjectV2Create`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "name": "My project",
      "url": "https://www.mobify.com",
      "slug": "my-project",
      "organization": "my-organization",
      "permissions": {
        "browse": true,
        "deploy": true,
        "delete_bundle": true,
        "delete_project": true,
        "edit_redirect": true,
        "edit_roles": true,
        "edit_settings": true,
        "validate_tag": true,
        "edit_environment": true,
        "create_environment": true,
        "delete_environment": true,
        "create_notification": true,
        "list_notifications": true,
        "retrieve_notification": true,
        "edit_notification": true,
        "delete_notification": true,
        "create_jwt": true,
        "upload_bundle": true,
        "edit_environment_variable": true,
        "edit_access_control_header": true
      },
      "deletion_status": "ACTIVE",
      "created_at": "2025-07-24T07:30:22.288165Z",
      "updated_at": "2025-07-24T07:30:22.288165Z"
    }
    ```
    

### GET projects\_retrieve

`GET /api/projects/{project_slug}/`

Operation ID: `projects_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about a project.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIProjectV2Update`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "name": "test project",
      "url": "https://www.google.com",
      "slug": "test-project",
      "organization": "my-organization",
      "permissions": {
        "browse": true,
        "deploy": true,
        "delete_bundle": true,
        "delete_project": true,
        "edit_redirect": true,
        "edit_roles": true,
        "edit_settings": true,
        "validate_tag": true,
        "edit_environment": true,
        "create_environment": true,
        "delete_environment": true,
        "create_notification": true,
        "list_notifications": true,
        "retrieve_notification": true,
        "edit_notification": true,
        "delete_notification": true,
        "create_jwt": true,
        "upload_bundle": true,
        "edit_environment_variable": true,
        "edit_access_control_header": true
      },
      "deletion_status": "ACTIVE",
      "created_at": "2025-07-24T07:30:22.288165Z",
      "updated_at": "2025-07-24T07:30:22.288165Z"
    }
    ```
    

### DELETE projects\_destroy

`DELETE /api/projects/{project_slug}/`

Operation ID: `projects_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete a project.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **204** No response body

### PATCH projects\_partial\_update

`PATCH /api/projects/{project_slug}/`

Operation ID: `projects_partial_update`. Tags: projects. Security: Basic; BearerToken.

Update a project.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPIProjectV2Update`.

_Example: RequestExample1_

```
{
  "name": "new name",
  "url": "https://www.mobify.com",
  "organization": "my-organization"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPIProjectV2Update`.

Media type: `multipart/form-data`. Schema: `PatchedAPIProjectV2Update`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIProjectV2Update`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "name": "test project",
      "url": "https://www.google.com",
      "slug": "test-project",
      "organization": "my-organization",
      "permissions": {
        "browse": true,
        "deploy": true,
        "delete_bundle": true,
        "delete_project": true,
        "edit_redirect": true,
        "edit_roles": true,
        "edit_settings": true,
        "validate_tag": true,
        "edit_environment": true,
        "create_environment": true,
        "delete_environment": true,
        "create_notification": true,
        "list_notifications": true,
        "retrieve_notification": true,
        "edit_notification": true,
        "delete_notification": true,
        "create_jwt": true,
        "upload_bundle": true,
        "edit_environment_variable": true,
        "edit_access_control_header": true
      },
      "deletion_status": "ACTIVE",
      "created_at": "2025-07-24T07:30:22.288165Z",
      "updated_at": "2025-07-24T08:30:22.288165Z"
    }
    ```
    

### POST projects\_builds\_create

`POST /api/projects/{project_slug}/builds/`

Operation ID: `projects_builds_create`. Tags: projects. Security: Basic; BearerToken.

Upload a bundle.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body (required)

Media type: `application/json`. Schema: `Bundle`.

Media type: `application/x-www-form-urlencoded`. Schema: `Bundle`.

Media type: `multipart/form-data`. Schema: `Bundle`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    Additional properties: `any`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "message": "Successfully pushed bundle for 'my-project'",
      "bundle_id": 2
    }
    ```
    

### POST projects\_builds\_create\_and\_deploy

`POST /api/projects/{project_slug}/builds/{target_slug}/`

Operation ID: `projects_builds_create_and_deploy`. Tags: projects. Security: Basic; BearerToken.

Upload a bundle and deploy it to an environment asynchronously.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `Bundle`.

Media type: `application/x-www-form-urlencoded`. Schema: `Bundle`.

Media type: `multipart/form-data`. Schema: `Bundle`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    Additional properties: `any`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "message": "Successfully pushed bundle for 'my-project'",
      "bundle_id": 2
    }
    ```
    

### GET projects\_bundles\_list

`GET /api/projects/{project_slug}/bundles/`

Operation ID: `projects_bundles_list`. Tags: projects. Security: Basic; BearerToken.

List bundles of a project

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `search` (query, string) A search term.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedBundleListList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "id": 3,
          "message": "Bundle 2",
          "status": 0,
          "deletion_status": "ACTIVE",
          "user": "fixture+progressive.ssr@test.com",
          "created_at": "2020-05-27T22:45:35.781615Z",
          "updated_at": "2020-07-09T04:59:37.733245Z",
          "is_uploaded": true,
          "is_ssr_bundle": true,
          "ssr_runtime": "12.x",
          "ssr_runtime_description": "NodeJS 12.x",
          "in_use": true,
          "in_use_by": [
            "production",
            "staging"
          ]
        }
      ]
    }
    ```
    
    _Example: ResponseExample2_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "id": 2,
          "message": "Bundle 1",
          "status": 0,
          "deletion_status": "ACTIVE",
          "user": "fixture+progressive.ssr@test.com",
          "created_at": "2020-05-27T22:45:35.703516Z",
          "updated_at": "2020-07-09T04:57:02.399510Z",
          "is_uploaded": true,
          "is_ssr_bundle": true,
          "ssr_runtime": "10.x",
          "ssr_runtime_description": "NodeJS 10.x",
          "in_use": false,
          "in_use_by": []
        }
      ]
    }
    ```
    
    _Example: ResponseExample3_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "id": 1,
          "message": "Bundle 0",
          "status": 0,
          "deletion_status": "ACTIVE",
          "user": "fixture+progressive.ssr@test.com",
          "created_at": "2020-05-27T22:45:35.646125Z",
          "updated_at": "2020-07-09T06:12:19.633249Z",
          "is_uploaded": true,
          "is_ssr_bundle": true,
          "ssr_runtime": "8.10",
          "ssr_runtime_description": "NodeJS 8.10",
          "in_use": true,
          "in_use_by": [
            "development"
          ]
        }
      ]
    }
    ```
    

### DELETE projects\_bundles\_destroy

`DELETE /api/projects/{project_slug}/bundles/{bundle_id}/`

Operation ID: `projects_bundles_destroy`. Tags: projects. Security: Basic; BearerToken.

Request deletion of a bundle. The bundle will be asynchronously deleted. This operation can only be performed by project admins.

#### Parameters

*   `bundle_id` (path, string, required) The bundle's id
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **202** Bundle deletion request accepted. The bundle will be asynchronously deleted.
*   **403** Bundle deployed to one or more target, cannot delete.
*   **404** Bundle not found.
*   **409** Bundle cannot be deleted (in progress, in failed state).

### GET projects\_bundles\_download\_retrieve

`GET /api/projects/{project_slug}/bundles/{bundle_id}/download/`

Operation ID: `projects_bundles_download_retrieve`. Tags: projects. Security: Basic; BearerToken.

Get a presigned URL (active for one hour) to download a bundle archive.

#### Parameters

*   `bundle_id` (path, string, required) The bundle's id
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `BundleDownload`.
    
    _Example: ResponseExample_
    
    ```
    {
      "download_url": "https://bundles.s3.amazonaws.com/build_archives/build_archive_id_1.tgz"
    }
    ```
    

### POST projects\_bundles\_bulk\_delete\_create

`POST /api/projects/{project_slug}/bundles/bulk-delete/`

Operation ID: `projects_bundles_bulk_delete_create`. Tags: projects. Security: Basic; BearerToken.

Request deletion for multiple bundles. Bundles are deleted asynchronously. Only project admins can perform this call. The response indicates which bundles were successfully queued for deletion and which failed validation.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body (required)

Media type: `application/json`. Schema: `BundleBulkDelete`.

_Example: RequestExample1_

```
{
  "bundle_ids": [
    1,
    2,
    3
  ]
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `BundleBulkDelete`.

Media type: `multipart/form-data`. Schema: `BundleBulkDelete`.

#### Responses

*   **202** Bundle deletion was requested. Check the response body for details about the bundles that were queued and that failed deletion.
    
    Media type: `application/json`. Schema: `BundleBulkDeleteResponse`.
    
    _Example: ResponseExample1-AllSuccessful_ ResponseExample1 - All Successful
    
    ```
    {
      "bundles_queued_for_cleanup": [
        1,
        2,
        3
      ]
    }
    ```
    
    _Example: ResponseExample2-PartialSuccess_ ResponseExample2 - Partial Success
    
    ```
    {
      "bundles_queued_for_cleanup": [
        1,
        3
      ],
      "rejected_bundles": [
        {
          "bundle_id": 2,
          "detail": "We can't delete this bundle because it's in use by 1 target(s)."
        }
      ]
    }
    ```
    
    _Example: ResponseExample2-PartialSuccess2_ ResponseExample2 - Partial Success 2
    
    ```
    {
      "bundles_queued_for_cleanup": [
        1
      ],
      "rejected_bundles": [
        {
          "bundle_ids": [
            9999
          ],
          "detail": "Bundles not found in project testproject."
        },
        {
          "bundle_id": 2,
          "detail": "We can't delete this bundle because it's in use by 3 target(s)."
        },
        {
          "bundle_id": 3,
          "detail": "We can't delete this bundle because bundle deletion is in progress."
        },
        {
          "bundle_id": 4,
          "detail": "We can't delete this bundle because bundle deletion is in progress."
        },
        {
          "bundle_id": 5,
          "detail": "We can't delete this bundle because bundle deletion is in progress."
        },
        {
          "bundle_id": 6,
          "detail": "Bundle deletion failed. We've been notified of this error and are working to resolve it."
        }
      ]
    }
    ```
    
    _Example: ResponseExample3-AllFailed_ ResponseExample3 - All Failed
    
    ```
    {
      "rejected_bundles": [
        {
          "bundle_id": 1,
          "detail": "We can't delete this bundle because bundle deletion is in progress."
        },
        {
          "bundle_id": 2,
          "detail": "We can't delete this bundle because it's in use by 1 target(s)."
        }
      ]
    }
    ```
    

### GET projects\_members\_list

`GET /api/projects/{project_slug}/members/`

Operation ID: `projects_members_list`. Tags: projects. Security: Basic; BearerToken.

List a project's members.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `role` (query, integer)
    
    *   `0` - Admin
        
    *   `1` - Developer
        
    *   `2` - Marketer
        
    *   `3` - Read Only
        
    *   `0` - Admin
        
    *   `1` - Developer
        
    *   `2` - Marketer
        
    *   `3` - Read Only
        
    
      
    Allowed values: `0`, `1`, `2`, `3`.
*   `role` (path, string, required) A role to filter on. Admin=0, Developer=1, Marketer=2, Read Only=3.
*   `search` (query, string) A search term.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIProjectMemberList`.
    

### POST projects\_members\_create

`POST /api/projects/{project_slug}/members/`

Operation ID: `projects_members_create`. Tags: projects. Security: Basic; BearerToken.

Create a new project member.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APIProjectMember`.

Media type: `application/x-www-form-urlencoded`. Schema: `APIProjectMember`.

Media type: `multipart/form-data`. Schema: `APIProjectMember`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APIProjectMember`.
    

### GET projects\_members\_retrieve

`GET /api/projects/{project_slug}/members/{email}/`

Operation ID: `projects_members_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about a project member's permissions.

#### Parameters

*   `email` (path, string, required) The project member's email address.
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIProjectMember`.
    

### DELETE projects\_members\_destroy

`DELETE /api/projects/{project_slug}/members/{email}/`

Operation ID: `projects_members_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete a project member.

#### Parameters

*   `email` (path, string, required) The project member's email address.
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **204** No response body

### PATCH projects\_members\_partial\_update

`PATCH /api/projects/{project_slug}/members/{email}/`

Operation ID: `projects_members_partial_update`. Tags: projects. Security: Basic; BearerToken.

Update a project member's permissions.

#### Parameters

*   `email` (path, string, required) The project member's email address.
*   `project_slug` (path, string, required) The project identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPIProjectMember`.

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPIProjectMember`.

Media type: `multipart/form-data`. Schema: `PatchedAPIProjectMember`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIProjectMember`.
    

### GET projects\_notifications\_list

`GET /api/projects/{project_slug}/notifications/`

Operation ID: `projects_notifications_list`. Tags: projects. Security: Basic; BearerToken.

List notifications for a project

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `project_slug` (path, string, required) The project identifier.
*   `targets__slug` (query, string)

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedPolymorphicNotificationList`.
    

### POST projects\_notifications\_create

`POST /api/projects/{project_slug}/notifications/`

Operation ID: `projects_notifications_create`. Tags: projects. Security: Basic; BearerToken.

Create notification for a Project

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body

Media type: `application/json`. Schema: `PolymorphicNotification`.

Media type: `application/x-www-form-urlencoded`. Schema: `PolymorphicNotification`.

Media type: `multipart/form-data`. Schema: `PolymorphicNotification`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `PolymorphicNotification`.
    

### GET projects\_notifications\_retrieve

`GET /api/projects/{project_slug}/notifications/{id}/`

Operation ID: `projects_notifications_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about a notification.

#### Parameters

*   `id` (path, string, required) The notification's unique UUID
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PolymorphicNotification`.
    

### DELETE projects\_notifications\_destroy

`DELETE /api/projects/{project_slug}/notifications/{id}/`

Operation ID: `projects_notifications_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete a notification.

#### Parameters

*   `id` (path, string, required) The notification's unique UUID
*   `project_slug` (path, string, required) The project identifier.

#### Responses

*   **204** No response body

### PATCH projects\_notifications\_partial\_update

`PATCH /api/projects/{project_slug}/notifications/{id}/`

Operation ID: `projects_notifications_partial_update`. Tags: projects. Security: Basic; BearerToken.

Update a project's notification.

#### Parameters

*   `id` (path, string, required) The notification's unique UUID
*   `project_slug` (path, string, required) The project identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedPolymorphicNotification`.

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedPolymorphicNotification`.

Media type: `multipart/form-data`. Schema: `PatchedPolymorphicNotification`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PolymorphicNotification`.
    

### GET projects\_target\_list

`GET /api/projects/{project_slug}/target/`

Operation ID: `projects_target_list`. Tags: projects. Security: Basic; BearerToken.

List a project's targets.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `search` (query, string) A search term.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPITargetV2CreateList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "slug": "production",
          "name": "Production",
          "state": "CREATE_IN_PROGRESS",
          "deletion_status": "ACTIVE",
          "hostname": null,
          "current_deploy": {
            "status": "queued",
            "is_ssr_deploy": false,
            "updated_at": "2018-07-25T21:35:24.312882+00:00",
            "bundle": {
              "status": 0,
              "deletion_status": "ACTIVE",
              "api_bundle_preview_email_url": "/api/projects/project-slug/bundle/0/preview-email/",
              "go_preview_url": null,
              "updated_at": "2018-07-25T21:35:24.311809+00:00",
              "app_preview_url": null,
              "message": "Reset Bundle. Disables adaptation.",
              "id": 0,
              "is_uploaded": true,
              "created_at": "2018-07-25T21:35:24.311775+00:00",
              "preview_url": null,
              "is_ssr_bundle": false,
              "user_email": ""
            },
            "is_in_progress": true,
            "deploy_settings": null,
            "deploy_type": "reset_bundle",
            "created_at": "2018-07-25T21:35:24.312855+00:00",
            "deploy_duration": 778590.636166,
            "applied_deploy_settings": false,
            "status_message": "Queueing Bundle"
          },
          "ssr_external_hostname": "www-testing.example.com",
          "ssr_external_domain": "example.com",
          "ssr_region": "eu-central-1",
          "ssr_architecture": "x86",
          "ssr_whitelisted_ips": "103.12.25.0/24",
          "ssr_proxy_configs": [
            {
              "host": "www.proxyhost1.com",
              "protocol": "https"
            },
            {
              "host": "www.proxyhost2.com"
            }
          ],
          "allow_cookies": false,
          "enable_source_maps": false,
          "log_level": "INFO",
          "certificate_id": 0,
          "certificate_domain": "*.example.com"
        }
      ]
    }
    ```
    

### POST projects\_target\_create

`POST /api/projects/{project_slug}/target/`

Operation ID: `projects_target_create`. Tags: projects. Security: Basic; BearerToken.

Create a new target.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APITargetV2Create`.

_Example: RequestExample1_

```
{
  "name": "Testing EU",
  "slug": "testing-eu",
  "ssr_external_hostname": "www-testing.example.com",
  "ssr_external_domain": "example.com",
  "ssr_region": "eu-central-1",
  "ssr_architecture": "x86",
  "ssr_whitelisted_ips": "103.12.25.0/24",
  "ssr_proxy_configs": [
    {
      "host": "www.proxyhost1.com",
      "protocol": "https"
    },
    {
      "host": "www.proxyhost2.com"
    }
  ],
  "allow_cookies": false,
  "enable_source_maps": false,
  "log_level": "INFO",
  "certificate_id": 0
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APITargetV2Create`.

Media type: `multipart/form-data`. Schema: `APITargetV2Create`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APITargetV2Create`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "name": "Testing EU",
      "slug": "testing-eu",
      "ssr_external_hostname": "www-testing.example.com",
      "ssr_external_domain": "example.com",
      "ssr_region": "eu-central-1",
      "ssr_architecture": "x86",
      "ssr_whitelisted_ips": "103.12.25.0/24",
      "ssr_proxy_configs": [
        {
          "host": "www.proxyhost1.com",
          "protocol": "https"
        },
        {
          "host": "www.proxyhost2.com"
        }
      ],
      "allow_cookies": true,
      "enable_source_maps": false,
      "log_level": "INFO",
      "certificate_id": 0,
      "certificate_domain": "*.example.com"
    }
    ```
    

### GET projects\_target\_retrieve

`GET /api/projects/{project_slug}/target/{target_slug}/`

Operation ID: `projects_target_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about a target.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APITargetV2Update`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "slug": "ssr-target-successful",
      "name": "Testing EU",
      "state": "ACTIVE",
      "deletion_status": "ACTIVE",
      "hostname": "www0.somewhere.com",
      "current_deploy": {
        "status": "queued",
        "is_ssr_deploy": true,
        "updated_at": "2018-08-10T16:54:38.871068+00:00",
        "bundle": {
          "status": 0,
          "deletion_status": "ACTIVE",
          "api_bundle_preview_email_url": "/api/projects/project-slug/bundle/2/preview-email/",
          "go_preview_url": null,
          "updated_at": "2018-07-25T21:35:24.801637+00:00",
          "app_preview_url": null,
          "description": "NodeJS 16.x",
          "ssr_runtime_state": "available",
          "message": "SSR Bundle 1 (failed deploy 81)",
          "id": 2,
          "is_uploaded": true,
          "created_at": "2018-07-25T21:35:24.762928+00:00",
          "preview_url": null,
          "is_ssr_bundle": true,
          "user_email": "fixture+progressive.ssr@test.com"
        },
        "external_publish_id": "None",
        "external_progress_update": null,
        "external_progress_percentage": null,
        "is_in_progress": true,
        "deploy_settings": null,
        "external_progress_status": null,
        "deploy_type": "publish",
        "created_at": "2018-08-10T16:54:38.871027+00:00",
        "deploy_duration": 2.356207,
        "external_progress_message": null,
        "applied_deploy_settings": false,
        "status_message": "Queueing Bundle",
        "user_email": "fixture+tag.page.staff@test.com",
        "external_progress_description": null
      },
      "ssr_external_hostname": "www-testing.example.com",
      "ssr_external_domain": "example.com",
      "ssr_region": "eu-central-1",
      "ssr_architecture": "x86",
      "ssr_whitelisted_ips": "103.12.25.0/24",
      "ssr_proxy_configs": [
        {
          "host": "www.proxyhost1.com",
          "protocol": "http"
        },
        {
          "host": "www.proxyhost2.com",
          "protocol": "https"
        }
      ],
      "allow_cookies": false,
      "enable_source_maps": false,
      "log_level": "INFO",
      "certificate_id": 0,
      "certificate_domain": "*.example.com"
    }
    ```
    

### DELETE projects\_target\_destroy

`DELETE /api/projects/{project_slug}/target/{target_slug}/`

Operation ID: `projects_target_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete a target.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **204** No response body

### PATCH projects\_target\_partial\_update

`PATCH /api/projects/{project_slug}/target/{target_slug}/`

Operation ID: `projects_target_partial_update`. Tags: projects. Security: Basic; BearerToken.

Update a target. Important: This endpoint automatically re-deploys the current bundle if any of the SSR-related properties are changed.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPITargetV2Update`.

_Example: RequestExample1_

```
{
  "name": "Testing EU",
  "ssr_external_hostname": "www-testing.example.com",
  "ssr_external_domain": "example.com",
  "ssr_region": "eu-central-1",
  "ssr_architecture": "arm64",
  "ssr_whitelisted_ips": "103.12.25.0/24",
  "ssr_proxy_configs": [
    {
      "host": "www.proxyhost1.com",
      "protocol": "http"
    },
    {
      "host": "www.proxyhost2.com",
      "protocol": "https"
    }
  ],
  "allow_cookies": true,
  "enable_source_maps": true,
  "log_level": "INFO",
  "certificate_id": 123
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPITargetV2Update`.

Media type: `multipart/form-data`. Schema: `PatchedAPITargetV2Update`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APITargetV2Update`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "slug": "ssr-target-successful",
      "name": "Testing EU",
      "state": "ACTIVE",
      "deletion_status": "ACTIVE",
      "hostname": "www0.somewhere.com",
      "current_deploy": {
        "status": "queued",
        "is_ssr_deploy": true,
        "updated_at": "2018-08-10T16:54:38.871068+00:00",
        "bundle": {
          "status": 0,
          "deletion_status": "ACTIVE",
          "api_bundle_preview_email_url": "/api/projects/project-slug/bundle/2/preview-email/",
          "go_preview_url": null,
          "updated_at": "2018-07-25T21:35:24.801637+00:00",
          "app_preview_url": null,
          "message": "SSR Bundle 1 (failed deploy 81)",
          "id": 2,
          "is_uploaded": true,
          "created_at": "2018-07-25T21:35:24.762928+00:00",
          "preview_url": null,
          "is_ssr_bundle": true,
          "user_email": "fixture+progressive.ssr@test.com"
        },
        "external_publish_id": "None",
        "external_progress_update": null,
        "external_progress_percentage": null,
        "is_in_progress": true,
        "deploy_settings": null,
        "external_progress_status": null,
        "deploy_type": "publish",
        "created_at": "2018-08-10T16:54:38.871027+00:00",
        "deploy_duration": 2.356207,
        "external_progress_message": null,
        "applied_deploy_settings": false,
        "status_message": "Queueing Bundle",
        "user_email": "fixture+tag.page.staff@test.com",
        "external_progress_description": null
      },
      "ssr_external_hostname": "www-testing.example.com",
      "ssr_external_domain": "example.com",
      "ssr_region": "eu-central-1",
      "ssr_architecture": "arm64",
      "ssr_whitelisted_ips": "103.12.25.0/24",
      "ssr_proxy_configs": [
        {
          "host": "www.proxyhost1.com",
          "protocol": "http"
        },
        {
          "host": "www.proxyhost2.com",
          "protocol": "https"
        }
      ],
      "allow_cookies": true,
      "enable_source_maps": true,
      "log_level": "INFO",
      "certificate_id": 0,
      "certificate_domain": "*.example.com"
    }
    ```
    

### GET projects\_target\_access\_control\_header\_list

`GET /api/projects/{project_slug}/target/{target_slug}/access-control-header/`

Operation ID: `projects_target_access_control_header_list`. Tags: projects. Security: Basic; BearerToken.

List a target's access control headers.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `search` (query, string) A search term.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIAccessControlHeaderV2CreateList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "id": "ff832a9e-0e55-11ef-8f23-0242ac110002",
          "value": "****************by0z",
          "user_email": "jane.doe@mobify.com",
          "created_at": "2024-04-28T09:23:28.872916Z",
          "publishing_status": 0,
          "publishing_status_description": "Pending"
        }
      ]
    }
    ```
    

### POST projects\_target\_access\_control\_header\_create

`POST /api/projects/{project_slug}/target/{target_slug}/access-control-header/`

Operation ID: `projects_target_access_control_header_create`. Tags: projects. Security: Basic; BearerToken.

Create an access control header to restrict access to an environment so that only trusted traffic coming from your content delivery network (CDN) or development team is allowed. Requests to this environment must contain the header `x-sfdc-access-control` with the value provided or they will be rejected. Accepts an object with a value for a single access control header. See [Access Control Headers](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html?q=access%20control%20header#access-control-headers).

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APIAccessControlHeaderV2Create`.

_Example: RequestExample1_

```
{
  "value": "jfoWikeaby0z"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIAccessControlHeaderV2Create`.

Media type: `multipart/form-data`. Schema: `APIAccessControlHeaderV2Create`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APIAccessControlHeaderV2Create`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "id": "ff832a9e-0e55-11ef-8f23-0242ac110002",
      "value": "****************by0z",
      "user_email": "jane.doe@mobify.com",
      "created_at": "2024-04-28T09:23:28.872916Z",
      "publishing_status": 0,
      "publishing_status_description": "Pending"
    }
    ```
    

### GET projects\_target\_access\_control\_header\_retrieve

`GET /api/projects/{project_slug}/target/{target_slug}/access-control-header/{id}/`

Operation ID: `projects_target_access_control_header_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about an access control header by its id.

#### Parameters

*   `id` (path, string, required) The access control header's id.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIAccessControlHeaderV2Create`.
    
    _Example ResponseExample1: same as POST /api/projects/{project\_slug}/target/{target\_slug}/access-control-header/ 201 response._
    

### DELETE projects\_target\_access\_control\_header\_destroy

`DELETE /api/projects/{project_slug}/target/{target_slug}/access-control-header/{id}/`

Operation ID: `projects_target_access_control_header_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete an access control header by its id.

#### Parameters

*   `id` (path, string, required) The access control header's id.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **204** No response body

### GET projects\_target\_deploy\_list

`GET /api/projects/{project_slug}/target/{target_slug}/deploy/`

Operation ID: `projects_target_deploy_list`. Tags: projects. Security: Basic; BearerToken.

Get the deployment history of a target.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedDeployListList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "user": "fixture+progressive.ssr@test.com",
          "duration": "00:01:16.867967",
          "bundle": {
            "id": 2,
            "message": "Bundle 1 (failed deploy 242)",
            "status": 0,
            "deletion_status": "ACTIVE",
            "user": "fixture+progressive.ssr@test.com",
            "created_at": "2020-10-13T23:09:39.309698Z",
            "updated_at": "2020-10-13T23:09:39.344068Z",
            "is_uploaded": true,
            "is_ssr_bundle": true,
            "ssr_runtime": "10.x",
            "ssr_runtime_description": "NodeJS 10.x"
          },
          "created_at": "2020-10-14T23:36:35.238529Z",
          "updated_at": "2020-10-15T00:14:34.227033Z",
          "status": "Finished",
          "deploy_type": "Publish",
          "external_publish_id": "b035a4d7-ec6b-4dcd-af8f-3a847b10fed8",
          "deploy_settings": null
        }
      ]
    }
    ```
    
    _Example: ResponseExample2_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "user": "fixture+progressive.ssr@test.com",
          "duration": "00:01:16.867967",
          "bundle": {
            "id": 1,
            "message": "Reset Bundle. Disables adaptation.",
            "status": 0,
            "deletion_status": "ACTIVE",
            "user": null,
            "created_at": "2020-10-13T23:09:39.285998Z",
            "updated_at": "2020-10-13T23:09:39.286030Z",
            "is_uploaded": true,
            "is_ssr_bundle": false,
            "ssr_runtime": null,
            "ssr_runtime_description": null
          },
          "created_at": "2020-10-14T23:26:44.018200Z",
          "updated_at": "2020-10-14T23:36:26.168594Z",
          "status": "Finished",
          "deploy_type": "Reset Bundle",
          "external_publish_id": "b035a4d7-ec6b-4dcd-af8f-3a847b10fed8",
          "deploy_settings": null
        }
      ]
    }
    ```
    

### POST projects\_target\_deploy\_create

`POST /api/projects/{project_slug}/target/{target_slug}/deploy/`

Operation ID: `projects_target_deploy_create`. Tags: projects. Security: Basic; BearerToken.

Deploys a bundle to a target. Returns the status of the deploy. Deployment details are not immediately available in the response as this endpoint is asynchronous. Request the target for progress updates.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `DeployCreate`.

_Example: RequestExample1_

```
{
  "bundle_id": "22"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `DeployCreate`.

Media type: `multipart/form-data`. Schema: `DeployCreate`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `DeployCreate`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "status": "queued",
      "is_ssr_deploy": true,
      "updated_at": "2019-10-09T19:43:04.108157+00:00",
      "bundle_id": 3,
      "bundle": {
        "status": 0,
        "deletion_status": "ACTIVE",
        "api_bundle_preview_email_url": "/api/projects/project-slug/bundle/3/preview-email/",
        "go_preview_url": null,
        "updated_at": "2019-10-09T17:31:00.418509+00:00",
        "app_preview_url": null,
        "message": "SSR Bundle 2 (running deploy 83)",
        "id": 3,
        "is_uploaded": true,
        "created_at": "2019-10-09T17:31:00.383617+00:00",
        "preview_url": null,
        "is_ssr_bundle": true,
        "user_email": "fixture+progressive.ssr@test.com"
      },
      "external_publish_id": "None",
      "external_progress_update": null,
      "external_progress_percentage": null,
      "is_in_progress": true,
      "deploy_settings": null,
      "external_progress_status": null,
      "deploy_type": "publish",
      "created_at": "2019-10-09T19:43:04.108107+00:00",
      "deploy_duration": 0.305502,
      "external_progress_message": null,
      "external_publish_details": {},
      "applied_deploy_settings": false,
      "status_message": "Queueing Bundle",
      "user_email": "fixture+progressive.ssr@test.com",
      "external_progress_description": null
    }
    ```
    

### GET projects\_target\_env\_var\_list

`GET /api/projects/{project_slug}/target/{target_slug}/env-var/`

Operation ID: `projects_target_env_var_list`. Tags: projects. Security: Basic; BearerToken.

List a target's environment variables.

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `search` (query, string) A search term.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedEnvironmentVariableListList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "SUPER_SECRET_API_KEY": {
            "value": "****************6dIR",
            "created_by": "john.doe@mobify.com",
            "created_at": "2020-02-26T18:05:28.873516Z",
            "updated_at": "2020-02-26T18:05:35.625877Z",
            "updated_by": "john.doe@mobify.com",
            "publishing_status": 0,
            "publishing_status_description": "Pending"
          }
        }
      ]
    }
    ```
    

### PATCH projects\_target\_env\_var\_partial\_update

`PATCH /api/projects/{project_slug}/target/{target_slug}/env-var/`

Operation ID: `projects_target_env_var_partial_update`. Tags: projects. Security: Basic; BearerToken.

Create, update, or delete environment variables. Accepts an object with values for single or multiple environment variables. If the variable does not exist, it is created. If the variable exists, it is updated. And if the variable exists and the value is null, it is deleted.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body

Media type: `application/json`. Schema: `object`.

Additional properties: `any`.

_Example: RequestExample1_

```
{
  "CREATE-ENV-VAR": {
    "value": "new-value"
  },
  "UPDATE-ENV-VAR": {
    "value": "updated-value"
  },
  "DELETE-ENV-VAR": {
    "value": null
  }
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `object`.

Additional properties: `any`.

Media type: `multipart/form-data`. Schema: `object`.

Additional properties: `any`.

#### Responses

*   **204** No response body. The request was processed successfully.

### POST projects\_target\_invalidation\_create

`POST /api/projects/{project_slug}/target/{target_slug}/invalidation/`

Operation ID: `projects_target_invalidation_create`. Tags: projects. Security: Basic; BearerToken.

Invalidate a target's cached objects in the CDN. Cache invalidations are asynchronous and usually complete within two minutes.

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APITargetV2CreateInvalidation`.

_Example: RequestExample1_

```
{
  "pattern": "/path/to/products/*/"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APITargetV2CreateInvalidation`.

Media type: `multipart/form-data`. Schema: `APITargetV2CreateInvalidation`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APITargetV2CreateInvalidation`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "result": "Cache invalidation is in progress.",
      "slug": "testing-eu"
    }
    ```
    

### GET projects\_target\_redirect\_list

`GET /api/projects/{project_slug}/target/{target_slug}/redirect/`

Operation ID: `projects_target_redirect_list`. Tags: projects. Security: Basic; BearerToken.

List a target's redirects. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `limit` (query, integer) Number of results to return per page.
*   `offset` (query, integer) The initial index from which to return the results.
*   `ordering` (query, string) Which field to use when ordering the results.
*   `project_slug` (path, string, required) The project identifier.
*   `search` (query, string) A search term.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `PaginatedAPIRedirectV2CreateUpdateList`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "count": 123,
      "next": "http://api.example.org/accounts/?offset=400&limit=100",
      "previous": "http://api.example.org/accounts/?offset=200&limit=100",
      "results": [
        {
          "from_path": "/spring",
          "to_url": "/summer",
          "forward_querystring": false,
          "http_status_code": 301,
          "publishing_status": "Pending",
          "user_email": "john.doe@mobify.com",
          "updated_by": "john.doe@mobify.com",
          "created_at": "2020-02-26T18:05:28.873516Z",
          "updated_at": "2020-02-26T18:05:35.625877Z"
        }
      ]
    }
    ```
    

### POST projects\_target\_redirect\_create

`POST /api/projects/{project_slug}/target/{target_slug}/redirect/`

Operation ID: `projects_target_redirect_create`. Tags: projects. Security: Basic; BearerToken.

Create one or more redirects. This endpoint accepts either an object with values for a single redirect, or an array of objects for bulk creation. For example, consider a seasonal campaign page for spring. When the spring campaign ends and is replaced with a summer campaign, you can redirect from the spring URL to the summer URL. We recommend that you always create redirects in your staging target (environment) and then [clone](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/references/mrt-admin?meta=projects_target_redirect_clone_create) them to your production target. This allows you to test the redirects and verify that they work as expected. Changes may take up to 20 minutes to take effect on your site. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body (required)

Media type: `application/json`. Schema: `APIRedirectV2CreateUpdate`.

_Example: RequestExample1-BulkRedirectCreation_ RequestExample1 - Bulk Redirect Creation

```
[
  {
    "from_path": "/spring/category1",
    "to_url": "/summer/category1",
    "forward_querystring": false,
    "forward_wildcard": true
  },
  {
    "from_path": "/spring/category2",
    "to_url": "/summer/category2",
    "forward_querystring": false,
    "forward_wildcard": true
  },
  {
    "from_path": "/spring/category3",
    "to_url": "/summer/category3",
    "forward_querystring": false,
    "forward_wildcard": true
  }
]
```

_Example: RequestExample2-SingleRedirectCreation_ RequestExample2 - Single Redirect Creation

```
{
  "from_path": "/spring/*",
  "to_url": "/summer",
  "forward_querystring": false,
  "forward_wildcard": true
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIRedirectV2CreateUpdate`.

Media type: `multipart/form-data`. Schema: `APIRedirectV2CreateUpdate`.

#### Responses

*   **201** The request was processed successfully.
    
    Media type: `application/json`. Schema: `APIRedirectV2CreateUpdate`.
    
    _Example: ResponseExample1-BulkRedirectCreation_ ResponseExample1 - Bulk Redirect Creation
    
    ```
    // No response body. The request was processed successfully.
    ```
    
    _Example: ResponseExample2-SingleRedirectCreation_ ResponseExample2 - Single Redirect Creation
    
    ```
    {
      "from_path": "/spring/*",
      "to_url": "/summer",
      "forward_querystring": false,
      "forward_wildcard": true,
      "http_status_code": 301,
      "publishing_status": "Pending",
      "user_email": "john.doe@example.com",
      "updated_by": "john.doe@example.com",
      "created_at": "2024-05-23T00:00:00.000Z",
      "updated_at": "2024-05-23T00:00:00.000Z"
    }
    ```
    

### GET projects\_target\_redirect\_retrieve

`GET /api/projects/{project_slug}/target/{target_slug}/redirect/{from_path}`

Operation ID: `projects_target_redirect_retrieve`. Tags: projects. Security: Basic; BearerToken.

Read data about a redirect by `from_path`. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `from_path` (path, string, required) The redirect's `from_path`.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIRedirectV2CreateUpdate`.
    

### DELETE projects\_target\_redirect\_destroy

`DELETE /api/projects/{project_slug}/target/{target_slug}/redirect/{from_path}`

Operation ID: `projects_target_redirect_destroy`. Tags: projects. Security: Basic; BearerToken.

Delete a redirect by `from_path`. For example, you can delete a redirect that's no longer needed because a seasonal campaign is over, you removed a page, or you want to streamline your redirect structure and improve search engine ranking. We recommend that you always delete redirects in your staging target (environment), and then [clone](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/references/mrt-admin?meta=projects_target_redirect_clone_create) the changes to your production target. Changes may take up to 20 minutes to take effect on your site. When you delete a redirect, you no longer see it in Runtime Admin. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `from_path` (path, string, required) The redirect's `from_path`.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Responses

*   **204** No response body. The request was processed successfully.

### PATCH projects\_target\_redirect\_partial\_update

`PATCH /api/projects/{project_slug}/target/{target_slug}/redirect/{from_path}`

Operation ID: `projects_target_redirect_partial_update`. Tags: projects. Security: Basic; BearerToken.

Update a redirect by `from_path`. For example, you can change a redirect if your content moved or you rebranded with new pages. We recommend that you always change redirects in your staging target (environment), and then [clone](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/references/mrt-admin?meta=projects_target_redirect_clone_create) the changes to your production target. Changes may take up to 20 minutes to take effect on your site. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `from_path` (path, string, required) The redirect's `from_path`.
*   `project_slug` (path, string, required) The project identifier.
*   `target_slug` (path, string, required) The target identifier.

#### Request body

Media type: `application/json`. Schema: `PatchedAPIRedirectV2CreateUpdate`.

_Example: RequestExample1_

```
{
  "from_path": "/spring",
  "to_url": "/summer-newbranding",
  "http_status_code": 301
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedAPIRedirectV2CreateUpdate`.

Media type: `multipart/form-data`. Schema: `PatchedAPIRedirectV2CreateUpdate`.

#### Responses

*   **200** The request was processed successfully.
    
    Media type: `application/json`. Schema: `APIRedirectV2CreateUpdate`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "from_path": "/spring",
      "to_url": "/summer-newbranding",
      "http_status_code": 301,
      "publishing_status": "Pending",
      "user_email": "john.doe@example.com",
      "updated_by": "john.doe@example.com",
      "created_at": "2024-05-23T00:00:00.000Z",
      "updated_at": "2024-05-23T00:00:00.000Z"
    }
    ```
    

### POST projects\_target\_redirect\_clone\_create

`POST /api/projects/{project_slug}/target/{to_target_slug}/redirect/clone/`

Operation ID: `projects_target_redirect_clone_create`. Tags: projects. Security: Basic; BearerToken.

Clone redirects from one target to another. Important: when you clone redirects, you're replacing all the redirects in one target with all the redirects in the other. See [Redirects](https://developer.salesforce.com/docs/commerce/pwa-kit-managed-runtime/guide/managed-runtime-administration.html#redirects).

#### Parameters

*   `project_slug` (path, string, required) The project identifier.
*   `to_target_slug` (path, string, required) The destination target identifier for the clone operation.

#### Request body (required)

Media type: `application/json`. Schema: `APIRedirectV2Clone`.

_Example: RequestExample1_

```
{
  "from_target_slug": "staging"
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `APIRedirectV2Clone`.

Media type: `multipart/form-data`. Schema: `APIRedirectV2Clone`.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `APIRedirectV2Clone`.
    

### POST users\_me\_api\_key\_create

`POST /api/users/me/api_key/`

Operation ID: `users_me_api_key_create`. Tags: users. Security: Basic; BearerToken.

Generate or reset the API key.

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `object`.
    
    Additional properties: `any`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "api_key": "qLh_IRpIh59..."
    }
    ```
    

### GET users\_me\_email\_preferences\_retrieve

`GET /api/users/me/email-preferences/`

Operation ID: `users_me_email_preferences_retrieve`. Tags: users. Security: Basic; BearerToken.

Get email notification preferences for the authenticated user.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `UserEmailPreferences`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "node_deprecation_notifications": true,
      "custom_domain_certificate_notifications": true,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
    ```
    

### PATCH users\_me\_email\_preferences\_partial\_update

`PATCH /api/users/me/email-preferences/`

Operation ID: `users_me_email_preferences_partial_update`. Tags: users. Security: Basic; BearerToken.

Update email notification preferences for the authenticated user.

#### Request body

Media type: `application/json`. Schema: `PatchedUserEmailPreferences`.

_Example: RequestExample1_

```
{
  "node_deprecation_notifications": false,
  "custom_domain_certificate_notifications": false
}
```

Media type: `application/x-www-form-urlencoded`. Schema: `PatchedUserEmailPreferences`.

Media type: `multipart/form-data`. Schema: `PatchedUserEmailPreferences`.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `UserEmailPreferences`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "node_deprecation_notifications": false,
      "custom_domain_certificate_notifications": false,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:35:00Z"
    }
    ```
    

### GET users\_me\_profile\_retrieve

`GET /api/users/me/profile/`

Operation ID: `users_me_profile_retrieve`. Tags: users. Security: Basic; BearerToken.

Get the profile information for the authenticated user.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `APIUserProfile`.
    
    _Example: ResponseExample1_
    
    ```
    {
      "firstname": "thomas",
      "lastname": "berko",
      "email": "thomas.berko@example.com"
    }
    ```
    

## Schemas

### PaginatedAPIOrganizationList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of APIOrganization_, required)

### PaginatedCertificateListCreateList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of CertificateListCreate_, required)

### CertificateListCreate

Base serializer for certificate serializers with common fields and methods.

*   `id` (_integer_, read-only) An ID unique within a business.
*   `domain_name` (_string_, required) The domain for the certificate (e.g. shop.example.com)  
    Maximum length: 255.
*   `validation_requested_at` (_string (date-time)_, read-only)
*   `validation_status` (_object_, read-only)
    
    Current validation status of the certificate
    
    *   `pending_validation` - Pending Validation
    *   `validation_succeeded` - Validation Succeeded
    *   `validation_failed` - Validation Failed
    
    Includes all fields of `ValidationStatusEnum`.
    
*   `validation_record` (_string_, read-only)
*   `expires_at` (_string (date-time)_, read-only, nullable)
    
    Certificate Expiry Date
    
    Expiry date of the certificate from ACM.
    
*   `renewal_status` (_RenewalStatusEnum | NullEnum_, read-only, nullable)
    
    Current status of certificate renewal.
    
    *   `PENDING_AUTO_RENEWAL` - Pending Auto Renewal
    *   `FAILED` - Failed
    
    One of: `RenewalStatusEnum`, `NullEnum`.
    
*   `renewal_eligibility` (_RenewalEligibilityEnum | NullEnum_, read-only, nullable)
    
    Whether the certificate is eligible for renewal.
    
    *   `ELIGIBLE` - Eligible
    *   `INELIGIBLE` - Ineligible
    
    One of: `RenewalEligibilityEnum`, `NullEnum`.
    
*   `targets` (_string_, read-only)
*   `created_by` (_string_, read-only)
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `is_mrt_managed` (_string_, read-only)
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    

### CertificateBase

Base serializer for certificate serializers with common fields and methods.

*   `id` (_integer_, read-only) An ID unique within a business.
*   `domain_name` (_string_, required)
    
    Certificate domain
    
    The domain for the certificate either wildcard (e.g. \*.example.com) or single domain (e.g. sub.example.com)
    
      
    Maximum length: 255.
*   `validation_requested_at` (_string (date-time)_, read-only, nullable) Timestamp when the validation was requested.
*   `validation_status` (_object_, read-only)
    
    Current validation status of the certificate
    
    *   `pending_validation` - Pending Validation
    *   `validation_succeeded` - Validation Succeeded
    *   `validation_failed` - Validation Failed
    
    Includes all fields of `ValidationStatusEnum`.
    
*   `validation_record` (_string_, read-only)
*   `expires_at` (_string (date-time)_, read-only, nullable)
    
    Certificate Expiry Date
    
    Expiry date of the certificate from ACM.
    
*   `renewal_status` (_RenewalStatusEnum | NullEnum_, read-only, nullable)
    
    Current status of certificate renewal.
    
    *   `PENDING_AUTO_RENEWAL` - Pending Auto Renewal
    *   `FAILED` - Failed
    
    One of: `RenewalStatusEnum`, `NullEnum`.
    
*   `renewal_eligibility` (_RenewalEligibilityEnum | NullEnum_, read-only, nullable)
    
    Whether the certificate is eligible for renewal.
    
    *   `ELIGIBLE` - Eligible
    *   `INELIGIBLE` - Ineligible
    
    One of: `RenewalEligibilityEnum`, `NullEnum`.
    
*   `targets` (_string_, read-only)
*   `created_by` (_string_, read-only)
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `is_mrt_managed` (_string_, read-only)
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    

### PatchedCertificateBase

Base serializer for certificate serializers with common fields and methods.

*   `id` (_integer_, read-only) An ID unique within a business.
*   `domain_name` (_string_)
    
    Certificate domain
    
    The domain for the certificate either wildcard (e.g. \*.example.com) or single domain (e.g. sub.example.com)
    
      
    Maximum length: 255.
*   `validation_requested_at` (_string (date-time)_, read-only, nullable) Timestamp when the validation was requested.
*   `validation_status` (_object_, read-only)
    
    Current validation status of the certificate
    
    *   `pending_validation` - Pending Validation
    *   `validation_succeeded` - Validation Succeeded
    *   `validation_failed` - Validation Failed
    
    Includes all fields of `ValidationStatusEnum`.
    
*   `validation_record` (_string_, read-only)
*   `expires_at` (_string (date-time)_, read-only, nullable)
    
    Certificate Expiry Date
    
    Expiry date of the certificate from ACM.
    
*   `renewal_status` (_RenewalStatusEnum | NullEnum_, read-only, nullable)
    
    Current status of certificate renewal.
    
    *   `PENDING_AUTO_RENEWAL` - Pending Auto Renewal
    *   `FAILED` - Failed
    
    One of: `RenewalStatusEnum`, `NullEnum`.
    
*   `renewal_eligibility` (_RenewalEligibilityEnum | NullEnum_, read-only, nullable)
    
    Whether the certificate is eligible for renewal.
    
    *   `ELIGIBLE` - Eligible
    *   `INELIGIBLE` - Ineligible
    
    One of: `RenewalEligibilityEnum`, `NullEnum`.
    
*   `targets` (_string_, read-only)
*   `created_by` (_string_, read-only)
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `is_mrt_managed` (_string_, read-only)
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    

### PaginatedAPIOrganizationMemberList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of APIOrganizationMember_, required)

### APIOrganizationMemberCreate

Serializer for creating organization members.

*   `user` (_string (email)_, required) Email address
*   `role` (_RoleEnum_, required)
*   `can_view_all_projects` (_boolean_)
*   `custom_domain_cert_permission` (_Status1d2Enum_)

### APIOrganizationMember

*   `user` (_string (email)_, read-only) Email address
*   `email` (_string_, read-only)
*   `role` (_RoleEnum_, required)
*   `first_name` (_string_, read-only)
*   `last_name` (_string_, read-only)
*   `can_view_all_projects` (_boolean_, read-only)
*   `custom_domain_cert_permission` (_object_, read-only)
    
    Includes all fields of `Status1d2Enum`.
    

### PatchedAPIOrganizationMemberUpdate

Serializer for updating organization role permissions. Allows updating can\_view\_all\_projects and custom\_domain\_cert\_permission.

*   `user` (_string (email)_, read-only) Email address
*   `role` (_object_, read-only)
    
    Includes all fields of `RoleEnum`.
    
*   `first_name` (_string_, read-only)
*   `last_name` (_string_, read-only)
*   `can_view_all_projects` (_boolean_)
*   `custom_domain_cert_permission` (_Status1d2Enum_)

### APIOrganizationMemberUpdate

Serializer for updating organization role permissions. Allows updating can\_view\_all\_projects and custom\_domain\_cert\_permission.

*   `user` (_string (email)_, read-only) Email address
*   `role` (_object_, read-only)
    
    Includes all fields of `RoleEnum`.
    
*   `first_name` (_string_, read-only)
*   `last_name` (_string_, read-only)
*   `can_view_all_projects` (_boolean_)
*   `custom_domain_cert_permission` (_Status1d2Enum_)

### PaginatedAPIProjectV2CreateList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of APIProjectV2Create_, required)

### APIProjectV2Create

*   `name` (_string_, required) User-friendly name for this project  
    Maximum length: 64.
*   `url` (_string (uri)_)  
    Maximum length: 2000.
*   `slug` (_string_)  
    Maximum length: 20. Pattern: ^\[a-z0-9\]+(?:-+\[a-z0-9\]+)\*$.
*   `organization` (_string_, required) User-friendly identifier for this instance.
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    
*   `project_type` (_object_, read-only)
    
    Includes all fields of `ProjectTypeEnum`.
    
*   `permissions` (_object_, read-only)
    *   `browse` (_boolean_)
    *   `deploy` (_boolean_)
    *   `delete_bundle` (_boolean_)
    *   `delete_project` (_boolean_)
    *   `edit_redirect` (_boolean_)
    *   `edit_roles` (_boolean_)
    *   `edit_settings` (_boolean_)
    *   `validate_tag` (_boolean_)
    *   `edit_environment` (_boolean_)
    *   `create_environment` (_boolean_)
    *   `delete_environment` (_boolean_)
    *   `create_notification` (_boolean_)
    *   `list_notifications` (_boolean_)
    *   `retrieve_notification` (_boolean_)
    *   `edit_notification` (_boolean_)
    *   `delete_notification` (_boolean_)
    *   `create_jwt` (_boolean_)
    *   `upload_bundle` (_boolean_)
    *   `edit_environment_variable` (_boolean_)
    *   `edit_access_control_header` (_boolean_)
*   `ssr_region` (_object_)
    
    SSR AWS Region
    
    The default AWS region for newly created targets
    
    *   `us-east-1` - US East (N. Virginia)
    *   `us-east-2` - US East (Ohio)
    *   `us-west-1` - US West (N. California)
    *   `us-west-2` - US West (Oregon)
    *   `ap-south-1` - Asia Pacific (Mumbai)
    *   `ap-south-2` - Asia Pacific (Hyderabad)
    *   `ap-northeast-2` - Asia Pacific (Seoul)
    *   `ap-southeast-1` - Asia Pacific (Singapore)
    *   `ap-southeast-2` - Asia Pacific (Sydney)
    *   `ap-southeast-3` - Asia Pacific (Jakarta)
    *   `ap-northeast-1` - Asia Pacific (Tokyo)
    *   `ap-northeast-3` - Asia Pacific (Osaka)
    *   `ca-central-1` - Canada (Central)
    *   `eu-central-1` - EU (Frankfurt)
    *   `eu-central-2` - EU (Zurich)
    *   `eu-west-1` - EU (Ireland)
    *   `eu-west-2` - EU (London)
    *   `eu-west-3` - EU (Paris)
    *   `eu-north-1` - EU (Stockholm)
    *   `eu-south-1` - EU (Milan)
    *   `il-central-1` - Israel (Tel Aviv)
    *   `me-central-1` - Middle East (UAE)
    *   `sa-east-1` - South America (Sao Paulo)
    
    Includes all fields of `SsrRegionEnum`.
    
*   `ssr_architecture` (_SsrArchitectureEnum | NullEnum_, nullable)
    
    Default Server-Side Rendering architecture (x86 or arm64) for targets under this project.
    
    *   `x86` - x86
    *   `arm64` - ARM64
    
    One of: `SsrArchitectureEnum`, `NullEnum`.
    
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `updated_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was last updated.
*   `source` (_SourceEnum | NullEnum_, read-only, nullable)
    
    Source of the project. One of: ecom, core, direct.
    
    *   `ecom` - ecom
    *   `core` - core
    *   `direct` - direct
    
    One of: `SourceEnum`, `NullEnum`.
    

### APIProjectV2Update

*   `name` (_string_, required) User-friendly name for this project  
    Maximum length: 64.
*   `url` (_string (uri)_)  
    Maximum length: 2000.
*   `slug` (_string_, read-only)  
    Pattern: ^\[-a-zA-Z0-9\_\]+$.
*   `organization` (_string_) User-friendly identifier for this instance.
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    
*   `project_type` (_object_, read-only)
    
    Includes all fields of `ProjectTypeEnum`.
    
*   `permissions` (_object_, read-only)
    *   `browse` (_boolean_)
    *   `deploy` (_boolean_)
    *   `delete_bundle` (_boolean_)
    *   `delete_project` (_boolean_)
    *   `edit_redirect` (_boolean_)
    *   `edit_roles` (_boolean_)
    *   `edit_settings` (_boolean_)
    *   `validate_tag` (_boolean_)
    *   `edit_environment` (_boolean_)
    *   `create_environment` (_boolean_)
    *   `delete_environment` (_boolean_)
    *   `create_notification` (_boolean_)
    *   `list_notifications` (_boolean_)
    *   `retrieve_notification` (_boolean_)
    *   `edit_notification` (_boolean_)
    *   `delete_notification` (_boolean_)
    *   `create_jwt` (_boolean_)
    *   `upload_bundle` (_boolean_)
    *   `edit_environment_variable` (_boolean_)
    *   `edit_access_control_header` (_boolean_)
*   `ssr_region` (_object_)
    
    SSR AWS Region
    
    The default AWS region for newly created targets
    
    *   `us-east-1` - US East (N. Virginia)
    *   `us-east-2` - US East (Ohio)
    *   `us-west-1` - US West (N. California)
    *   `us-west-2` - US West (Oregon)
    *   `ap-south-1` - Asia Pacific (Mumbai)
    *   `ap-south-2` - Asia Pacific (Hyderabad)
    *   `ap-northeast-2` - Asia Pacific (Seoul)
    *   `ap-southeast-1` - Asia Pacific (Singapore)
    *   `ap-southeast-2` - Asia Pacific (Sydney)
    *   `ap-southeast-3` - Asia Pacific (Jakarta)
    *   `ap-northeast-1` - Asia Pacific (Tokyo)
    *   `ap-northeast-3` - Asia Pacific (Osaka)
    *   `ca-central-1` - Canada (Central)
    *   `eu-central-1` - EU (Frankfurt)
    *   `eu-central-2` - EU (Zurich)
    *   `eu-west-1` - EU (Ireland)
    *   `eu-west-2` - EU (London)
    *   `eu-west-3` - EU (Paris)
    *   `eu-north-1` - EU (Stockholm)
    *   `eu-south-1` - EU (Milan)
    *   `il-central-1` - Israel (Tel Aviv)
    *   `me-central-1` - Middle East (UAE)
    *   `sa-east-1` - South America (Sao Paulo)
    
    Includes all fields of `SsrRegionEnum`.
    
*   `ssr_architecture` (_SsrArchitectureEnum | NullEnum_, nullable)
    
    Default Server-Side Rendering architecture (x86 or arm64) for targets under this project.
    
    *   `x86` - x86
    *   `arm64` - ARM64
    
    One of: `SsrArchitectureEnum`, `NullEnum`.
    
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `updated_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was last updated.
*   `source` (_SourceEnum | NullEnum_, read-only, nullable)
    
    Source of the project. One of: ecom, core, direct.
    
    *   `ecom` - ecom
    *   `core` - core
    *   `direct` - direct
    
    One of: `SourceEnum`, `NullEnum`.
    

### PatchedAPIProjectV2Update

*   `name` (_string_) User-friendly name for this project  
    Maximum length: 64.
*   `url` (_string (uri)_)  
    Maximum length: 2000.
*   `slug` (_string_, read-only)  
    Pattern: ^\[-a-zA-Z0-9\_\]+$.
*   `organization` (_string_) User-friendly identifier for this instance.
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    
*   `project_type` (_object_, read-only)
    
    Includes all fields of `ProjectTypeEnum`.
    
*   `permissions` (_object_, read-only)
    *   `browse` (_boolean_)
    *   `deploy` (_boolean_)
    *   `delete_bundle` (_boolean_)
    *   `delete_project` (_boolean_)
    *   `edit_redirect` (_boolean_)
    *   `edit_roles` (_boolean_)
    *   `edit_settings` (_boolean_)
    *   `validate_tag` (_boolean_)
    *   `edit_environment` (_boolean_)
    *   `create_environment` (_boolean_)
    *   `delete_environment` (_boolean_)
    *   `create_notification` (_boolean_)
    *   `list_notifications` (_boolean_)
    *   `retrieve_notification` (_boolean_)
    *   `edit_notification` (_boolean_)
    *   `delete_notification` (_boolean_)
    *   `create_jwt` (_boolean_)
    *   `upload_bundle` (_boolean_)
    *   `edit_environment_variable` (_boolean_)
    *   `edit_access_control_header` (_boolean_)
*   `ssr_region` (_object_)
    
    SSR AWS Region
    
    The default AWS region for newly created targets
    
    *   `us-east-1` - US East (N. Virginia)
    *   `us-east-2` - US East (Ohio)
    *   `us-west-1` - US West (N. California)
    *   `us-west-2` - US West (Oregon)
    *   `ap-south-1` - Asia Pacific (Mumbai)
    *   `ap-south-2` - Asia Pacific (Hyderabad)
    *   `ap-northeast-2` - Asia Pacific (Seoul)
    *   `ap-southeast-1` - Asia Pacific (Singapore)
    *   `ap-southeast-2` - Asia Pacific (Sydney)
    *   `ap-southeast-3` - Asia Pacific (Jakarta)
    *   `ap-northeast-1` - Asia Pacific (Tokyo)
    *   `ap-northeast-3` - Asia Pacific (Osaka)
    *   `ca-central-1` - Canada (Central)
    *   `eu-central-1` - EU (Frankfurt)
    *   `eu-central-2` - EU (Zurich)
    *   `eu-west-1` - EU (Ireland)
    *   `eu-west-2` - EU (London)
    *   `eu-west-3` - EU (Paris)
    *   `eu-north-1` - EU (Stockholm)
    *   `eu-south-1` - EU (Milan)
    *   `il-central-1` - Israel (Tel Aviv)
    *   `me-central-1` - Middle East (UAE)
    *   `sa-east-1` - South America (Sao Paulo)
    
    Includes all fields of `SsrRegionEnum`.
    
*   `ssr_architecture` (_SsrArchitectureEnum | NullEnum_, nullable)
    
    Default Server-Side Rendering architecture (x86 or arm64) for targets under this project.
    
    *   `x86` - x86
    *   `arm64` - ARM64
    
    One of: `SsrArchitectureEnum`, `NullEnum`.
    
*   `created_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was created.
*   `updated_at` (_string (date-time)_, read-only) Timestamp in the extended ISO 8601 format for when the object was last updated.
*   `source` (_SourceEnum | NullEnum_, read-only, nullable)
    
    Source of the project. One of: ecom, core, direct.
    
    *   `ecom` - ecom
    *   `core` - core
    *   `direct` - direct
    
    One of: `SourceEnum`, `NullEnum`.
    

### Bundle

Serializer to validate a bundle upload payload.

*   `message` (_string_, required)  
    Maximum length: 2048.
*   `data` (_string_, required)
*   `encoding` (_EncodingEnum_, required)
*   `ssr_only` (_array of string_)
*   `ssr_shared` (_array of string_)
*   `ssr_parameters` (_object_)
    
    Additional properties: `any`.
    
*   `bundle_metadata` (_object_)
    
    Additional properties: `any`.
    

### PaginatedBundleListList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of BundleList_, required)

### BundleDownload

*   `download_url` (_string (uri)_, required)

### BundleBulkDelete

*   `bundle_ids` (_array of integer_, required)

### BundleBulkDeleteResponse

*   `rejected_bundles` (_array of BundleBulkDeleteFailedRequest_) Bundles that failed validation and couldn't be queued for deletion.
*   `bundles_queued_for_cleanup` (_array of integer_) Bundle IDs for bundles that were queued for deletion.

### PaginatedAPIProjectMemberList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of APIProjectMember_, required)

### APIProjectMember

*   `user` (_string (email)_, required) Email address
*   `role` (_object_, required)
    *   `name` (_string_)
    *   `value` (_integer_)  
        Allowed values: `0`, `1`, `2`, `3`.

### PatchedAPIProjectMember

*   `user` (_string (email)_) Email address
*   `role` (_object_)
    *   `name` (_string_)
    *   `value` (_integer_)  
        Allowed values: `0`, `1`, `2`, `3`.

### PaginatedPolymorphicNotificationList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of PolymorphicNotification_, required)

### PolymorphicNotification

Discriminator: `resourcetype` selects the concrete type. Mapping: `EmailNotification` → `EmailNotificationTyped`.

One of: `EmailNotificationTyped`.

### PatchedPolymorphicNotification

Discriminator: `resourcetype` selects the concrete type. Mapping: `EmailNotification` → `PatchedEmailNotificationTyped`.

One of: `PatchedEmailNotificationTyped`.

### PaginatedAPITargetV2CreateList

*   `count` (_integer_, required)  
    Example: `123`.
*   `next` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=400&limit=100`.
*   `previous` (_string (uri)_, nullable)  
    Example: `http://api.example.org/accounts/?offset=200&limit=100`.
*   `results` (_array of APITargetV2Create_, required)

### APITargetV2Create

This is the serializer for target create/list APIs.

*   `slug` (_string_)  
    Maximum length: 64. Pattern: ^\[a-z0-9\]+(?:-+\[a-z0-9\]+)\*$.
*   `name` (_string_, required) User-friendly name for this target  
    Maximum length: 64.
*   `state` (_object_, read-only)
    
    Target State
    
    *   `CREATE_IN_PROGRESS` - Create in Progress
    *   `PUBLISH_IN_PROGRESS` - Publish in Progress
    *   `ACTIVE` - Active
    *   `CREATE_FAILED` - Create Failed
    *   `PUBLISH_FAILED` - Publish Failed
    
    Includes all fields of `StateEnum`.
    
*   `deletion_status` (_object_, read-only)
    
    Includes all fields of `DeletionStatusEnum`.
    
*   `hostname` (_string_, nullable) Hostname (literal or JavaScript regular expression between / characters) on which this target should be loaded by the V8 Tag  
    Maximum length: 128.
*   `current_deploy` (_object_, read-only)
    
    Additional properties: `any`.
    
*   `ssr_external_hostname` (_string_, nullable) Full hostname to be used by the environment eg. [www.customer.com](http://www.customer.com).  
    Maximum length: 128.
*   `ssr_external_domain` (_string_, nullable) The domain to be used for a Universal PWA SSR deployment (e.g. customer.com)  
    Maximum length: 128.
*   `ssr_region` (_SsrRegionEnum | BlankEnum_)
    
    SSR AWS Region
    
    The AWS region to which a Universal PWA SSR should be deployed (e.g. us-east-1)
    
    *   `us-east-1` - US East (N. Virginia)
    *   `us-east-2` - US East (Ohio)
    *   `us-west-1` - US West (N. California)
    *   `us-west-2` - US West (Oregon)
    *   `ap-south-1` - Asia Pacific (Mumbai)
    *   `ap-south-2` - Asia Pacific (Hyderabad)
    *   `ap-northeast-2` - Asia Pacific (Seoul)
    *   `ap-southeast-1` - Asia Pacific (Singapore)
    *   `ap-southeast-2` - Asia Pacific (Sydney)
    *   `ap-southeast-3` - Asia Pacific (Jakarta)
    *   `ap-northeast-1` - Asia Pacific (Tokyo)
    *   `ap-northeast-3` - Asia Pacific (Osaka)
    *   `ca-central-1` - Canada (Central)
    *   `eu-central-1` - EU (Frankfurt)
    *   `eu-central-2` - EU (Zurich)
    *   `eu-west-1` - EU (Ireland)
    *   `eu-west-2` - EU (London)
    *   `eu-west-3` - EU (Paris)
    *   `eu-north-1` - EU (Stockholm)
[...]
